Processing QGIS Zonal Stats broken on Windows

2016-05-22 04:08 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22811

Description

Seems only Windows is affected (the last working release seems to be 2.6).

Try this project

https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/more_backends

You'll get

Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\algs\\qgis\\ZonalStatistics.py", line 249, in processAlgorithm

                attrs.insert(idxMode, float(mode(masked, axis=None)[0][0]))

              File "C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\

umpy\\ma\\core.py", line 2941, in getitem

                dout = ndarray.__getitem__(_data, indx)

            IndexError: 0-d arrays can't be indexed

on 2.14 and master

and 

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-ltr/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 232, in execute

    self.processAlgorithm(progress)

  File "C:/OSGeo4W/apps/qgis-ltr/./python/plugins\\processing\\algs\\qgis\\ZonalStatistics.py", line 105, in processAlgorithm

    (startColumn, startRow) = mapToPixel(xMin, yMax, geoTransform)

  File "C:/OSGeo4W/apps/qgis-ltr/./python/plugins\\processing\\tools\

aster.py", line 68, in mapToPixel

    gdal.InvGeoTransform(geoTransform)[1], mX, mY)

TypeError: not a sequence

on 2.8

Associated revisions

Revision 44c948b0 - 2016-05-23 05:15 PM - Alexander Bruy
https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/more_backends


[processing] add support for GDAL 2.x in raster tools (refs #14858)

History

#1 - 2016-05-23 08:05 AM - Alexander Bruy

Tested with geomorpho.qgs project (more_backends.qgs seems does not have any raster layers in it) under Windows using latest qgis-dev package — no

errors, statistics calculated correctly. I got same results as under Linux.

#2 - 2016-05-23 08:06 AM - Alexander Bruy

Issue with 2.8.9 confirmed, I also got

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-ltr-dev/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 232, in execute

    self.processAlgorithm(progress)

  File "C:/OSGEO4~1/apps/qgis-ltr-dev/./python/plugins\\processing\\algs\\qgis\\ZonalStatistics.py", line 105, in processAlgorithm

    (startColumn, startRow) = mapToPixel(xMin, yMax, geoTransform)

  File "C:/OSGEO4~1/apps/qgis-ltr-dev/./python/plugins\\processing\\tools\

aster.py", line 68, in mapToPixel

    gdal.InvGeoTransform(geoTransform)[1], mX, mY)

TypeError: not a sequence

#3 - 2016-05-23 08:07 AM - Giovanni Manghi

Alexander Bruy wrote:

Tested with geomorpho.qgs project (more_backends.qgs seems does not have any raster layers in it) under Windows using latest qgis-dev package

— no errors, statistics calculated correctly. I got same results as under Linux.

weird you don't get errors in 2.14 or master, I have clean testing environments on windows and I see the same on both OSes.

#4 - 2016-05-23 08:19 AM - Alexander Bruy

Fix for 2.8.x commited.

#5 - 2016-05-23 10:06 AM - Giovanni Manghi

Alexander Bruy wrote:

Fix for 2.8.x commited.

still can't replicate the other error on 2.14/master?
#6 - 2016-05-23 10:27 AM - Alexander Bruy

Yes, no error on master.

#7 - 2016-05-23 10:27 AM - Giovanni Manghi

Alexander Bruy wrote:

Yes, no error on master.

tested Windows right (is only Windows issue)?

#8 - 2016-05-24 06:20 AM - Alexander Bruy

Yes, I tested on Windows and can't reproduce this

#9 - 2016-05-24 07:45 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Seems works fine on all systems now
